# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: fake_lib.proto

from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database

# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


DESCRIPTOR = _descriptor.FileDescriptor(
    name="fake_lib.proto",
    package="",
    syntax="proto3",
    serialized_options=None,
    serialized_pb=b'\n\x0e\x66\x61ke_lib.proto" \n\x03\x41\x44\x43\x12\n\n\x02id\x18\x01 \x01(\t\x12\r\n\x05value\x18\x02 \x01(\rb\x06proto3',
)


_ADC = _descriptor.Descriptor(
    name="ADC",
    full_name="ADC",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="id",
            full_name="ADC.id",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=b"".decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="value",
            full_name="ADC.value",
            index=1,
            number=2,
            type=13,
            cpp_type=3,
            label=1,
            has_default_value=False,
            default_value=0,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=18,
    serialized_end=50,
)

DESCRIPTOR.message_types_by_name["ADC"] = _ADC
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

ADC = _reflection.GeneratedProtocolMessageType(
    "ADC",
    (_message.Message,),
    {
        "DESCRIPTOR": _ADC,
        "__module__": "fake_lib_pb2"
        # @@protoc_insertion_point(class_scope:ADC)
    },
)
_sym_db.RegisterMessage(ADC)


# @@protoc_insertion_point(module_scope)
